# $Revision: 1.42 $, $Date: 2004/04/01 08:21:21 $
Summary:	A free virtual machine for running Java(TM) code
Summary(es):	Mquina virtual free para ejecutar cdigo Java(tm)
Summary(pl):	Darmowa maszyna wirtualna Javy
Summary(pt_BR):	Mquina virtual free para rodar cdigo Java(tm)
Summary(ru):	      Java(tm) 
Summary(uk):	  צ    Java(tm) 
Name:		kaffe
Version:	1.0.6
Release:	13
Epoch:		1
License:	GPL
Group:		Development/Languages/Java
Source0:	http://www.kaffe.org/ftp/pub/kaffe/%{name}-%{version}.tar.gz
# Source0-md5:	5a900dd33e7bde48d2fa94ada273e80e
Patch0:		%{name}-alpha.patch
Patch1:		%{name}-perlpath.patch
Patch2:		%{name}-getBytes.patch
Patch3:		%{name}-sparc.patch
Patch4:		%{name}-jlong.patch
Patch5:		%{name}-time.patch
Patch6:		%{name}-acfix.patch
Patch7:		%{name}-amfix.patch
Patch8:		%{name}-ltfix.patch
Patch9:		%{name}-dyn_ltdl.patch
Patch10:	%{name}-cpp.patch
Patch11:	%{name}-gcc33.patch
URL:		http://www.kaffe.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel >= 3.1.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libungif-devel
%ifarch ppc
BuildRequires:	libffi-devel
%endif
Requires:	fastjar
Provides:	jre = 1.1
Obsoletes:	kaffe-bissawt
Conflicts:	ibm-java-sdk
ExclusiveArch:	alpha arm %{ix86} m68k mips ppc sparc sparc64 sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/kaffe

%description
Kaffe is a free virtual machine designed to execute Java(TM) bytecode.
Kaffe can be configured in two modes. In the first mode, it operates
as a pure bytecode interpreter (not unlike Javasoft's machine). In the
second mode, it performs "just-in-time" code conversion from the
abstract code to the host machine's native code. The second mode will
ultimately allow execution of Java code at the same speed as standard
compiled code, while also maintaining the advantages and flexibility
of code independence.

%description -l es
Kaffe es una mquina virtual proyectada para ejecutar bytecode Java.
Esta mquina puede ser configurada en dos modos. En uno, opera como un
interpretador puro de bytecode (como la mquina de la JavaSoft); en el
segundo modo, ejecuta conversin de cdigo "just-in-time" del cdigo
abstracto para el cdigo nativo de mquina. Esto permite la ejecucin
de cdigo Java en la misma velocidad que el cdigo compilado, con las
ventajas de la flexibilidad y independencia de cdigo.

%description -l pl
Kaffe jest darmow maszyn wirtualn do uruchamiania bytecodu Javy.
Moe by uywana w dwch trybach: w pierwszym jako czysty interpreter
bytecodu, w drugim przeprowadza "w locie" konwersj bytecodu na kod
natywny maszyny. Drugi tryb pozwala uruchamia kod Javy tak szybko jak
kod skompilowany, pozostawiajc niezaleno kodu od platformy.

%description -l pt_BR
Kaffe  uma mquina virtual projetada para executar bytecode Java.
Esta mquina pode ser configurada em dois modos. Em um modo ela opera
como um interpretador puro de bytecode (como a mquina da JavaSoft);
no segundo modo ela executa converso de cdigo "just-in-time" do
cdigo abstrato para o cdigo nativo de mquina. Isto permite a
execuo de cdigo Java na mesma velocidade que o cdigo compilado,
com as vantagens da flexibilidade e independncia de cdigo.

%description -l ru
 -- Kaffe,      
Java.        .   
  ""   (   JDK/JRE
 Javasoft');       
"just-in-time" (     - 
   ).     
,   Java,       
        
 - .

%description -l uk
 -- Kaffe, צ ,    
Java.        .   
  ""   ( ,   
JDK/JRE צ Javasoft);   - դ Цæ "just-in-time"
(   -     ).
  ̦   ,   Java, 
   ˦,    Ц , Ҧ 
    ˦ - Ц.

%package devel
Summary:	Headers and libtool files for kaffe
Summary(pl):	Pliki nagwkowe i skrypty libtoola dla kaffe
Summary(pt_BR):	Bibliotecas e headers de desenvolvimento para o Kaffe
Summary(ru):	    kaffe
Summary(uk):	  ¦̦  kaffe
Group:		Development/Languages/Java
Requires:	%{name} = %{epoch}:%{version}
Provides:	jdk = 1.1

%description devel
Headers and libtool files for kaffe.

%description devel -l pl
Pliki nagwkowe i skrypty libtoola dla kaffe.

%description devel -l pt_BR
Bibliotecas e headers de desenvolvimento para o Kaffe.

%description devel -l ru
       kaffe (
 java-).

%description devel -l uk
  ¦̦     kaffe (
Цæ java-).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p0
%patch10 -p1
%patch11 -p1

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-ltdl-install=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf developers/{CVS,glibc-2.1.1-signal.patch,rpm-kaffe.spec} FAQ/CVS
rm -rf $RPM_BUILD_ROOT%{_bindir}/jar

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc FAQ/* ChangeLog* README WHATSNEW
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libexecdir}/Kaffe
%attr(755,root,root) %{_libdir}/*.so
%dir %{_libdir}/kaffe
%{_libdir}/kaffe/*.la
%attr(755,root,root) %{_libdir}/kaffe/*.so
%{_libdir}/kaffe/security
%{_mandir}/man1/kaffe.1*
%{_datadir}/kaffe

%files devel
%defattr(644,root,root,755)
%doc developers/*
%{_includedir}/kaffe
%{_libdir}/*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kaffe.spec,v $
Revision 1.42  2004/04/01 08:21:21  qboosh
- added one more fix to cpp patch, ExclusiveArch for supported archs, release 13

Revision 1.41  2004/03/31 19:26:27  qboosh
- updated acfix patch, added cpp,gcc33 patches

Revision 1.40  2003/06/27 13:10:46  mmazur
- mass commit; now req: name = epoch:version

Revision 1.39  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 05:49:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2002/12/16 13:12:54  qboosh
- moved NEEDED kaffe/*.la to base, fixed doc problem
- release 12, STBR to ra/updates/general

Revision 1.36  2002/11/25 14:16:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.35  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.34  2002/08/18 15:49:39  blues
- fix in docs - STBR again

Revision 1.33  2002/08/18 15:27:38  kloczek
- release 11: remove jar written in java and use fastjar,
- use new %doc.

Revision 1.32  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.31  2002/05/21 23:13:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/05/08 12:16:31  kloczek
- merge translations from KSI.

Revision 1.29  2002/05/08 10:33:54  mmazur
- use dynamic libltdl; rel10; STBR

Revision 1.28  2002/05/02 00:11:07  qboosh
- -devel Provides: jdk 1.1
- release 9

Revision 1.27  2002/04/27 10:40:17  mmazur
- if arch==ppc BR libffi-devel

Revision 1.26  2002/04/25 16:40:14  arturs
fixed a small typo

Revision 1.25  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:13:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/10/19 23:00:36  kloczek
- cosmetics.

Revision 1.21  2001/10/19 22:29:54  qboosh
- acfix,amfix,ltfix patches
- release 8

Revision 1.20  2001/10/11 12:59:46  qboosh
- BuildRequires: autoconf

Revision 1.19  2001/09/17 12:27:33  qboosh
- removed English "es" translations, added pl ones

Revision 1.18  2001/09/15 17:17:56  bonkey
- Group changed to Development/Languages/Java

Revision 1.17  2001/09/15 10:14:11  bonkey
- changed Provides: java1.1 to jre = %%{version}
- removed Provides: java

Revision 1.16  2001/09/11 07:44:40  bonkey
- +Conflicts: ibm-java-sdk

Revision 1.15  2001/08/23 17:27:07  filon
- added provides: java1.1

Revision 1.14  2001/08/10 22:34:35  kloczek
- release 7,
- added BuildRequires rules,
- rebuild against gmp 3.1.1.

Revision 1.13  2001/04/13 23:52:09  baggins
- added time patch

Revision 1.12  2001/04/13 23:38:40  baggins
- release 4
- libexec -> lib/kaffe

Revision 1.11  2000/10/24 00:40:47  kloczek
- updated to 1.0.6,
- Epoch 1 for allow upgrade from RH 7,
- merged RH patches,
- use ne rpm automation suit,
- some cosmetics.

Revision 1.10  2000/08/26 21:59:30  dobrek
- Added Provides: java
- Corected building problem related to mandir

Revision 1.9  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:05  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/21 15:02:33  kloczek
- spec adapterized.

Revision 1.6  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.5  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/01/08 00:10:36  kloczek
- release 2 (in rawhide is 1),
- remove developers/{glibc-2.1.1-signal.patch,rpm-kaffe.spec} from %doc,
- added zipping developers/README* %doc.

Revision 1.3  2000/01/08 00:02:59  kloczek
- LDFLAGS="-s" in ./configure enviroment in %build instead stripping
  binaries in %install,
- updated Source URL,
- cut %%changelog,
- more fixes in perlpath,
- osmetics.

Revision 1.2  2000/01/07 21:13:50  baggins
- updated to 1.0.5

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Spec based on RedHat version.
